Create DeliveryAsk AIpost https://api.burqup.com/v1/delivery_informationCreate a delivery, with option to initiate it immediately.Body ParamsinitiatebooleanWhen set to true, delivery is initiated immediately - the cheapest delivery option will be auto-selected, and delivery info is sent to delivery provider for fulfillment. No further call to the /initiate_delivery is needed. If manual selection of quote is needed, set to false and review the returned quotes. Then call /initiate_delivery API with the desired quote ID. Defaults to false if not provided.truefalsepickup_addressstringAddress of pickup location. Include all components including street, city, zipcode, and country. Do not include unit number; use pickup_unit property instead. Do not provide if pickup_store_id is provided. Otherwise required.pickup_unitstringUnit number of pickup location. Do not provide if pickup_store_id is provided.pickup_atdate-timeTimestamp for when the items should be picked up. Must be in ISO8601 format. Cannot be both provided with dropoff_at.pickup_namestringIndividual or company name of pickup location. Optional if pickup_store_id is provided. Otherwise required.pickup_phone_numberstringPhone number of pickup location. Optional if pickup_store_id is provided. Otherwise required.pickup_notesstringInstructions for drivers when picking up delivery items.dropoff_addressstringAddress of dropoff location. Include all components including street, city, zipcode, and country. Do not include unit number; use dropoff_unit property instead. Do not provide if dropoff_store_id is provided. Otherwise required.dropoff_unitstringUnit number of dropoff location. Do not provide if dropoff_store_id is provided.dropoff_namestringIndividual or company name receiving the delivery. Optional if dropoff_store_id is provided. Otherwise required.dropoff_atdate-timeTimestamp for when the items should be delivered. Must be in ISO8601 format. Cannot be both provided with pickup_at.dropoff_phone_numberstringPhone number of dropoff location. Optional if dropoff_store_id is provided. Otherwise required.dropoff_notesstringInstructions for drivers when dropping off delivery items.itemsarray of objectsrequiredList of items to be delivered.items*ADD objectpickup_store_idstringID of a store created through Burq dashboard or API. When provided, store information will be used for any pickup setting not explicitly provided in the request, including address, phone number, name, and notes.dropoff_store_idstringID of a store created through Burq dashboard or API. When provided, store information will be used for any dropoff setting not explicitly provided in the request, including address, phone number, name, and notes.quote_idstringID of a previously generated quote. If not provided, the cheapest quote will be selected automatically.external_order_refstringMerchant-provided delivery identifier. Commonly used for merchants to cross-reference deliveries from Burq API with their own system. When provided, this is also used as "order number" and used by drivers to find the right order at pickup location.tipintegerTips for the driver. Burq forwards all tips to the delivery providers.order_valueintegerTotal value of all items in the delivery.contactless_deliverybooleanWhether delivery should be contactless. Cannot be true if signature is set to true.truefalsesignaturebooleanWhether signature should be collected at dropoff. Cannot be true if contactless_delivery is set to true.truefalseconnected_account_idstringOnly relevant for Burq Connect merchants. Specify the connected account that you want to create the delivery under. If you are already setting pickup_store_id or dropoff_store_id, you don't need to set this field, as the owner account will be inferred from the store.required_provider_settingsobjectRequired provider settings. When quote_id is not provided, providers that don't support the selected settings will be excluded from quote selection. If quote_id is provided, and the provider of the quote does not support the selected provider settings, an error will be returned. Required provider settings are evaluated during reroute. Each provider supports different settings, and excessive requirements may reduce quote availability.required_provider_settings objectpreferred_provider_settingsobjectPreferred provider settings do not affect quote availability nor quote selection. When a quote is selected, either explicitly via quote_id, or automatically based on pricing, any supported settings from this configuration will be passed to the provider. Unsupported settings are ignored. Preferred provider settings are evaluated during reroute.preferred_provider_settings objectcontains_alcoholbooleanIndicates whether items contain an alcoholic ingredient.truefalsepickup_address_detailsobjectThis object is optional. If provided, all nested fields must be provided. Burq will perform no address validation when this object is provided. The provided address will be sent to providers as is. Merchants are responsible for data validity and accuracy. Note, when this object is provided, you still need to provide a formatted address under pickup_address or pickup_store_id. Additionally, pickup_unit (when applicable) needs to be provided in the top-level field.pickup_address_details objectdropoff_address_detailsobjectThis object is optional. If provided, all nested fields must be provided. Burq will perform no address validation when this object is provided. The provided address will be sent to providers as is. Merchants are responsible for data validity and accuracy. Note, when this object is provided, you still need to provide a formatted address under dropoff_address or dropoff_store_id. Additionally, dropoff_unit (when applicable) needs to be provided in the top-level field.dropoff_address_details objectHeadersx-api-keystringrequiredBurq API key for your account.Responses 200The request was successful. 400Errors under status code 400. See error examples under the "Response" tab on right. Note examples are for reference only. Field values are neither exhaustive nor api-version-controlled. 500Errors under status code 500. See error examples under the "Response" tab on right. Note examples are for reference only. Field values are neither exhaustive nor api-version-controlled.Updated 3 months ago